# Uses of Class
org.lwjgl.opencl.CLSampler

Packages that use CLSampler
Package
Description
org.lwjgl.opencl

## Uses of CLSampler in org.lwjgl.opencl

Methods in org.lwjgl.opencl that return CLSampler
Modifier and Type
Method
Description
`static CLSampler`
CL10.`clCreateSampler(CLContext context, int normalized_coords, int addressing_mode, int filter_mode, IntBuffer errcode_ret)`
`CLSampler`
CLContext.`getCLSampler(long id)`
Returns a CLSampler associated with this context.
Methods in org.lwjgl.opencl with parameters of type CLSampler
Modifier and Type
Method
Description
`static int`
CL10.`clGetSamplerInfo(CLSampler sampler, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL10.`clReleaseSampler(CLSampler sampler)`
`static int`
CL10.`clRetainSampler(CLSampler sampler)`